com.comtrade.ecm.engine.datatypes

## Enum Time.Unit

- java.lang.Object
- - java.lang.Enum<Time.Unit>
  - - com.comtrade.ecm.engine.datatypes.Time.Unit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Time.Unit>
  Enclosing class:
    Time

      public static enum Time.Unit
      extends java.lang.Enum<Time.Unit>

  Units to be used in `Time`-mathemathics.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HOURS`
    `MICROS`
    `MILLIS`
    `MINUTES`
    `NANOS`
    `SECONDS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Time.Unit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Time.Unit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NANOS

          public static final Time.Unit NANOS

    - #### MICROS

          public static final Time.Unit MICROS

    - #### MILLIS

          public static final Time.Unit MILLIS

    - #### SECONDS

          public static final Time.Unit SECONDS

    - #### MINUTES

          public static final Time.Unit MINUTES

    - #### HOURS

          public static final Time.Unit HOURS

  - ### Method Detail

    - #### values

          public static Time.Unit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Time.Unit c : Time.Unit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Time.Unit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null